## WebKitDOMHTMLTextAreaElement WebKitDOMHTMLTextAreaElement |

## Functions

void | webkit_dom_html_text_area_element_select ()
void | webkit_dom_html_text_area_element_set_selection_range ()
gboolean | webkit_dom_html_text_area_element_get_autofocus ()
void | webkit_dom_html_text_area_element_set_autofocus ()
gboolean | webkit_dom_html_text_area_element_get_disabled ()
void | webkit_dom_html_text_area_element_set_disabled ()
WebKitDOMHTMLFormElement * | webkit_dom_html_text_area_element_get_form ()
gchar * | webkit_dom_html_text_area_element_get_name ()
void | webkit_dom_html_text_area_element_set_name ()
gboolean | webkit_dom_html_text_area_element_get_read_only ()
void | webkit_dom_html_text_area_element_set_read_only ()
glong | webkit_dom_html_text_area_element_get_rows ()
void | webkit_dom_html_text_area_element_set_rows ()
glong | webkit_dom_html_text_area_element_get_cols ()
void | webkit_dom_html_text_area_element_set_cols ()
gchar * | webkit_dom_html_text_area_element_get_area_type ()
gchar * | webkit_dom_html_text_area_element_get_default_value ()
void | webkit_dom_html_text_area_element_set_default_value ()
gchar * | webkit_dom_html_text_area_element_get_value ()
void | webkit_dom_html_text_area_element_set_value ()
gboolean | webkit_dom_html_text_area_element_get_will_validate ()
glong | webkit_dom_html_text_area_element_get_selection_start ()
void | webkit_dom_html_text_area_element_set_selection_start ()
glong | webkit_dom_html_text_area_element_get_selection_end ()
void | webkit_dom_html_text_area_element_set_selection_end ()
gboolean | webkit_dom_html_text_area_element_is_edited ()

## Properties

gboolean | autofocus | Read / Write
glong | cols | Read / Write
gchar * | default-value | Read / Write
gboolean | disabled | Read / Write
WebKitDOMHTMLFormElement * | form | Read
gchar * | name | Read / Write
gboolean | read-only | Read / Write
glong | rows | Read / Write
glong | selection-end | Read / Write
glong | selection-start | Read / Write
gchar * | type | Read
gchar * | value | Read / Write
gboolean | will-validate | Read

## Types and Values

struct | WebKitDOMHTMLTextAreaElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLTextAreaElement

## Implemented Interfaces

WebKitDOMHTMLTextAreaElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_text_area_element_select ()

    void
    webkit_dom_html_text_area_element_select
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_select` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

### webkit_dom_html_text_area_element_set_selection_range ()

    void
    webkit_dom_html_text_area_element_set_selection_range
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong start,
                                    glong end,
                                    const gchar *direction);

`webkit_dom_html_text_area_element_set_selection_range` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
start | A glong |
end | A glong |
direction | A gchar |

### webkit_dom_html_text_area_element_get_autofocus ()

    gboolean
    webkit_dom_html_text_area_element_get_autofocus
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_autofocus` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_set_autofocus ()

    void
    webkit_dom_html_text_area_element_set_autofocus
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    gboolean value);

`webkit_dom_html_text_area_element_set_autofocus` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gboolean |

### webkit_dom_html_text_area_element_get_disabled ()

    gboolean
    webkit_dom_html_text_area_element_get_disabled
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_disabled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_set_disabled ()

    void
    webkit_dom_html_text_area_element_set_disabled
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    gboolean value);

`webkit_dom_html_text_area_element_set_disabled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gboolean |

### webkit_dom_html_text_area_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_text_area_element_get_form
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_form` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_text_area_element_get_name ()

    gchar *
    webkit_dom_html_text_area_element_get_name
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_name ()

    void
    webkit_dom_html_text_area_element_set_name
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

`webkit_dom_html_text_area_element_set_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

### webkit_dom_html_text_area_element_get_read_only ()

    gboolean
    webkit_dom_html_text_area_element_get_read_only
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_read_only` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_set_read_only ()

    void
    webkit_dom_html_text_area_element_set_read_only
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    gboolean value);

`webkit_dom_html_text_area_element_set_read_only` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gboolean |

### webkit_dom_html_text_area_element_get_rows ()

    glong
    webkit_dom_html_text_area_element_get_rows
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_rows` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A glong

### webkit_dom_html_text_area_element_set_rows ()

    void
    webkit_dom_html_text_area_element_set_rows
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong value);

`webkit_dom_html_text_area_element_set_rows` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A glong |

### webkit_dom_html_text_area_element_get_cols ()

    glong
    webkit_dom_html_text_area_element_get_cols
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_cols` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A glong

### webkit_dom_html_text_area_element_set_cols ()

    void
    webkit_dom_html_text_area_element_set_cols
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong value);

`webkit_dom_html_text_area_element_set_cols` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A glong |

### webkit_dom_html_text_area_element_get_area_type ()

    gchar *
    webkit_dom_html_text_area_element_get_area_type
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_area_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_get_default_value ()

    gchar *
    webkit_dom_html_text_area_element_get_default_value
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_default_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_default_value ()

    void
    webkit_dom_html_text_area_element_set_default_value
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

`webkit_dom_html_text_area_element_set_default_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

### webkit_dom_html_text_area_element_get_value ()

    gchar *
    webkit_dom_html_text_area_element_get_value
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_value ()

    void
    webkit_dom_html_text_area_element_set_value
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

`webkit_dom_html_text_area_element_set_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

### webkit_dom_html_text_area_element_get_will_validate ()

    gboolean
    webkit_dom_html_text_area_element_get_will_validate
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_will_validate` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_get_selection_start ()

    glong
    webkit_dom_html_text_area_element_get_selection_start
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_selection_start` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A glong

### webkit_dom_html_text_area_element_set_selection_start ()

    void
    webkit_dom_html_text_area_element_set_selection_start
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong value);

`webkit_dom_html_text_area_element_set_selection_start` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A glong |

### webkit_dom_html_text_area_element_get_selection_end ()

    glong
    webkit_dom_html_text_area_element_get_selection_end
                                   (WebKitDOMHTMLTextAreaElement *self);

`webkit_dom_html_text_area_element_get_selection_end` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A glong

### webkit_dom_html_text_area_element_set_selection_end ()

    void
    webkit_dom_html_text_area_element_set_selection_end
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong value);

`webkit_dom_html_text_area_element_set_selection_end` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A glong |

### webkit_dom_html_text_area_element_is_edited ()

    gboolean
    webkit_dom_html_text_area_element_is_edited
                                   (WebKitDOMHTMLTextAreaElement *input);

`webkit_dom_html_text_area_element_is_edited` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

input | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

## Types and Values

### struct WebKitDOMHTMLTextAreaElement

    struct WebKitDOMHTMLTextAreaElement;

## Property Details

### The `“autofocus”` property

      “autofocus”                gboolean

read-write gboolean HTMLTextAreaElement:autofocus.

Flags: Read / Write

Default value: FALSE

### The `“cols”` property

      “cols”                     glong

read-write glong HTMLTextAreaElement:cols.

Flags: Read / Write

Default value: 0

### The `“default-value”` property

      “default-value”            gchar *

read-write gchar* HTMLTextAreaElement:default-value.

Flags: Read / Write

Default value: ""

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLTextAreaElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLTextAreaElement:form.

Flags: Read

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLTextAreaElement:name.

Flags: Read / Write

Default value: ""

### The `“read-only”` property

      “read-only”                gboolean

read-write gboolean HTMLTextAreaElement:read-only.

Flags: Read / Write

Default value: FALSE

### The `“rows”` property

      “rows”                     glong

read-write glong HTMLTextAreaElement:rows.

Flags: Read / Write

Default value: 0

### The `“selection-end”` property

      “selection-end”            glong

read-write glong HTMLTextAreaElement:selection-end.

Flags: Read / Write

Default value: 0

### The `“selection-start”` property

      “selection-start”          glong

read-write glong HTMLTextAreaElement:selection-start.

Flags: Read / Write

Default value: 0

### The `“type”` property

      “type”                     gchar *

read-only gchar* HTMLTextAreaElement:type.

Flags: Read

Default value: ""

### The `“value”` property

      “value”                    gchar *

read-write gchar* HTMLTextAreaElement:value.

Flags: Read / Write

Default value: ""

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLTextAreaElement:will-validate.

Flags: Read

Default value: FALSE